<!DOCTYPE html>

<html>
  <head>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />  
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-Suite">
              <span class="suite-name border-passed">Suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-Suite">
                    <span>C:\Users\sganipen\Selenium-workspace\TestNgSauceLab\src\test\resources\testsource.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-Suite">
                    <span class="test-stats">2 tests</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-Suite">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-Suite">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-Suite">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-Suite">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-Suite">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">10 methods,   10 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Suite" class="hide-methods passed suite-Suite"> (hide)</a> <!-- hide-methods passed suite-Suite -->
                      <a href="#" panel-name="suite-Suite" class="show-methods passed suite-Suite"> (show)</a> <!-- show-methods passed suite-Suite -->
                    </span>
                    <div class="method-list-content passed suite-Suite">
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.testng.sauce.testNGwithSauceLab" hash-for-method="printDataFromDataProvider(demo1, provider1)">printDataFromDataProvider(demo1, provider1)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.testng.sauce.testNGwithSauceLab" hash-for-method="printDataFromDataProvider(demo2, provider2)">printDataFromDataProvider(demo2, provider2)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.testng.sauce.testNGwithSauceLab" hash-for-method="printDataFromDataProvider(demo3, provider3)">printDataFromDataProvider(demo3, provider3)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.testng.sauce.testNGwithSauceLab" hash-for-method="printDataFromDataProvider(demo1, provider1)">printDataFromDataProvider(demo1, provider1)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.testng.sauce.testNGwithSauceLab" hash-for-method="printDataFromDataProvider(demo2, provider2)">printDataFromDataProvider(demo2, provider2)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.testng.sauce.testNGwithSauceLab" hash-for-method="printDataFromDataProvider(demo3, provider3)">printDataFromDataProvider(demo3, provider3)</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.testng.sauce.testNGwithSauceLab" hash-for-method="sauceLabBrowserSelection">sauceLabBrowserSelection</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.testng.sauce.testNGwithSauceLab" hash-for-method="sauceLabBrowserSelection">sauceLabBrowserSelection</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.testng.sauce.testNGwithSauceLab" hash-for-method="selectShop">selectShop</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="passed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-Suite" title="test.testng.sauce.testNGwithSauceLab" hash-for-method="selectShop">selectShop</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Suite" class="panel Suite">
          <div class="suite-Suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">test.testng.sauce.testNGwithSauceLab</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="printDataFromDataProvider(demo1, provider1)">
                  </a> <!-- printDataFromDataProvider(demo1, provider1) -->
                  <span class="method-name">printDataFromDataProvider</span>
                  <span class="parameters">(demo1, provider1)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="printDataFromDataProvider(demo2, provider2)">
                  </a> <!-- printDataFromDataProvider(demo2, provider2) -->
                  <span class="method-name">printDataFromDataProvider</span>
                  <span class="parameters">(demo2, provider2)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="printDataFromDataProvider(demo3, provider3)">
                  </a> <!-- printDataFromDataProvider(demo3, provider3) -->
                  <span class="method-name">printDataFromDataProvider</span>
                  <span class="parameters">(demo3, provider3)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="printDataFromDataProvider(demo1, provider1)">
                  </a> <!-- printDataFromDataProvider(demo1, provider1) -->
                  <span class="method-name">printDataFromDataProvider</span>
                  <span class="parameters">(demo1, provider1)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="printDataFromDataProvider(demo2, provider2)">
                  </a> <!-- printDataFromDataProvider(demo2, provider2) -->
                  <span class="method-name">printDataFromDataProvider</span>
                  <span class="parameters">(demo2, provider2)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="printDataFromDataProvider(demo3, provider3)">
                  </a> <!-- printDataFromDataProvider(demo3, provider3) -->
                  <span class="method-name">printDataFromDataProvider</span>
                  <span class="parameters">(demo3, provider3)</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="sauceLabBrowserSelection">
                  </a> <!-- sauceLabBrowserSelection -->
                  <span class="method-name">sauceLabBrowserSelection</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="sauceLabBrowserSelection">
                  </a> <!-- sauceLabBrowserSelection -->
                  <span class="method-name">sauceLabBrowserSelection</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="selectShop">
                  </a> <!-- selectShop -->
                  <span class="method-name">selectShop</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="selectShop">
                  </a> <!-- selectShop -->
                  <span class="method-name">selectShop</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Suite-class-passed -->
        </div> <!-- panel Suite -->
        <div panel-name="test-xml-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\sganipen\Selenium-workspace\TestNgSauceLab\src\test\resources\testsource.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;Suite&quot; parallel=&quot;tests&quot;&gt;
  &lt;test name=&quot;FirefoxTest&quot;&gt;
    &lt;parameter name=&quot;browser&quot; value=&quot;firefox&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;test.testng.sauce.testNGwithSauceLab&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- FirefoxTest --&gt;
  &lt;test name=&quot;ChromeTest&quot;&gt;
    &lt;parameter name=&quot;browser&quot; value=&quot;chrome&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;test.testng.sauce.testNGwithSauceLab&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- ChromeTest --&gt;
&lt;/suite&gt; &lt;!-- Suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">FirefoxTest (1 class)</span>
              </li>
              <li>
                <span class="test-name">ChromeTest (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Suite');
function tableData_Suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(10);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'sauceLabBrowserSelection')
data.setCell(0, 2, 'test.testng.sauce.testNGwithSauceLab')
data.setCell(0, 3, 2712);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'sauceLabBrowserSelection')
data.setCell(1, 2, 'test.testng.sauce.testNGwithSauceLab')
data.setCell(1, 3, 2179);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'selectShop')
data.setCell(2, 2, 'test.testng.sauce.testNGwithSauceLab')
data.setCell(2, 3, 1974);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'selectShop')
data.setCell(3, 2, 'test.testng.sauce.testNGwithSauceLab')
data.setCell(3, 3, 301);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'printDataFromDataProvider')
data.setCell(4, 2, 'test.testng.sauce.testNGwithSauceLab')
data.setCell(4, 3, 4);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'printDataFromDataProvider')
data.setCell(5, 2, 'test.testng.sauce.testNGwithSauceLab')
data.setCell(5, 3, 3);
data.setCell(6, 0, 6)
data.setCell(6, 1, 'printDataFromDataProvider')
data.setCell(6, 2, 'test.testng.sauce.testNGwithSauceLab')
data.setCell(6, 3, 1);
data.setCell(7, 0, 7)
data.setCell(7, 1, 'printDataFromDataProvider')
data.setCell(7, 2, 'test.testng.sauce.testNGwithSauceLab')
data.setCell(7, 3, 1);
data.setCell(8, 0, 8)
data.setCell(8, 1, 'printDataFromDataProvider')
data.setCell(8, 2, 'test.testng.sauce.testNGwithSauceLab')
data.setCell(8, 3, 1);
data.setCell(9, 0, 9)
data.setCell(9, 1, 'printDataFromDataProvider')
data.setCell(9, 2, 'test.testng.sauce.testNGwithSauceLab')
data.setCell(9, 3, 1);
window.suiteTableData['Suite']= { tableData: data, tableDiv: 'times-div-Suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 7 seconds</span>
              <div id="times-div-Suite">
              </div> <!-- times-div-Suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">test.testng.sauce.testNGwithSauceLab</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">doSetup(firefox)</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-class before -->
              <div class="configuration-class before">
                <span class="method-name">doSetup(chrome)</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">sauceLabBrowserSelection</span>
                <span class="method-start">4305 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">sauceLabBrowserSelection</span>
                <span class="method-start">5364 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">selectShop</span>
                <span class="method-start">7020 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">selectShop</span>
                <span class="method-start">7544 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">printDataFromDataProvider(demo1, provider1)</span>
                <span class="method-start">7848 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">printDataFromDataProvider(demo2, provider2)</span>
                <span class="method-start">7850 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">printDataFromDataProvider(demo3, provider3)</span>
                <span class="method-start">7854 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">printDataFromDataProvider(demo1, provider1)</span>
                <span class="method-start">8995 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">printDataFromDataProvider(demo2, provider2)</span>
                <span class="method-start">8999 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">printDataFromDataProvider(demo3, provider3)</span>
                <span class="method-start">9003 ms</span>
              </div> <!-- test-method -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
